package com.steerinfo.meterwork.meterworkscheduledhelp.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.meterwork.meterworkscheduledhelp.model.MeterWorkScheduledHelp;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * MeterWorkScheduledHelp服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-04-28 11:46
 * 类描述
 * 修订历史：
 * 日期：2022-04-28
 * 作者：generator
 * 参考：
 * 描述：MeterWorkScheduledHelp服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterWorkScheduledHelpService extends IBaseService<MeterWorkScheduledHelp, String>{
    RESTfulResult scheduledHelp(String carNo, String baseSpotNo, String baseSpotName, String helpContent);
    RESTfulResult scheduledHelpConfirm(String id, String createNo, String createName, String result);
    RESTfulResult checkAdd(MeterWorkScheduledHelp model);
    PageList<MeterWorkScheduledHelp> likeByDesc(Map<String, Object> var1, Integer var2, Integer var3);
    PageList<MeterWorkScheduledHelp> HelpMsgByDesc(Map<String, Object> var1, Integer var2, Integer var3);
    PageList<MeterWorkScheduledHelp> allStateView(Map<String, Object> params, Integer pageNum, Integer pageSize);

    //汽车衡报警信息汇总统计
    List<HashMap> helpContentSummary(HashMap<String, Object> params);
    //汽车衡报警信息明细
    PageList<MeterWorkScheduledHelp> helpContentDetail(HashMap<String, Object> params, Integer pageNum, Integer pageSize);
}